Summary: Adobe Acrobat(R) Reader
Name: acroread
Version: 5.05
Release: 1
Copyright: Commercial
ExclusiveArch: i386 i486 i586 i686
Group: Applications/Publishing
Source: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-505.tar.gz
Source1: mini-pdf.xpm
Source2: acroread.kdelnk
Source3: acroread.xpm
Patch1: acroread-path.diff
Patch2: acroread-netscape.diff
Url: http://www.adobe.com/supportservice/custsupport/download.html
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: acrobat
prefix: /usr

%description
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the Acrobat Reader.

%package plugin
Summary: Adobe Acrobat(R) Reader plugin for netscape
Requires: netscape-common
Group: Applications/Publishing

%description plugin
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
a plugin for netscape.

%prep
%setup -q -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{lib/%{name},bin} \
	$RPM_BUILD_ROOT/etc/X11/applnk/Graphics \
	$RPM_BUILD_ROOT/%{prefix}/share/icons/mini \
	$RPM_BUILD_ROOT/%{prefix}/lib/netscape/plugins

cd $RPM_BUILD_ROOT/%{prefix}/lib/%{name}
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/LINUXRDR.TAR
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/COMMON.TAR
find -type d | xargs chmod 755

install -m 755 Browsers/intellinux/nppdf.so $RPM_BUILD_ROOT/%{prefix}/lib/netscape/plugins

cd Browsers
patch -p0 < $RPM_SOURCE_DIR/acroread-netscape.diff
rm -f *.orig

cd ../bin
patch -p0 < $RPM_SOURCE_DIR/acroread-path.diff
rm -f *.orig

install -m 0755 acroread.sh $RPM_BUILD_ROOT/usr/bin/acroread

cp %{SOURCE1} $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/ 
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/acroread.desktop
cp %{SOURCE3} $RPM_BUILD_ROOT/%{prefix}/share/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{prefix}/lib/%{name}
%doc $RPM_BUILD_DIR/%{name}-%{version}/*.TXT*
%doc $RPM_BUILD_DIR/%{name}-%{version}/INSTALL
%doc $RPM_BUILD_DIR/%{name}-%{version}/README
%{prefix}/lib/%{name}/Reader
%{prefix}/lib/%{name}/Resource
/etc/X11/applnk/Graphics/*
%{prefix}/bin/*

%files plugin
%defattr(-, root, root)
%{prefix}/lib/netscape/plugins/*

%changelog
* Mon May 20 2002 David Woodhouse <dwmw2@infradead.org>
- Update to Acrobat Reader 5.05

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- require netscape-common not netscape-communicator (#16088)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed install section so that regular users can build

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 22 2000 Ngo Than <than@redhat.de>
- rename to arcoread
- remove /etc/X11/wmconfig
- remove /usr/lib/acrobat/ReadMe

* Mon May 22 2000 Ngo Than <than@redhat.de>
- initial RPM for 7.0 
